# Uses of Class
ij.gui.Roi

Packages that use Roi
Package
Description
ij
ij.gui
ij.io
ij.measure
ij.plugin
ij.plugin.filter
ij.plugin.frame
ij.process

## Uses of Roi in ij

Fields in ij declared as Roi
Modifier and Type
Field
Description
`protected Roi`
ImagePlus.`roi`
Methods in ij that return Roi
Modifier and Type
Method
Description
`Roi`
ImagePlus.`getRoi()`
Returns the current selection, or null if there is no selection.
`static Roi`
IJ.`Roi(double x, double y, double width, double height)`
Creates an Roi.
Methods in ij with parameters of type Roi
Modifier and Type
Method
Description
`ImagePlus[]`
ImagePlus.`crop(Roi[] rois)`
Multi-roi cropping with default "slice" option.
`ImagePlus[]`
ImagePlus.`crop(Roi[] rois, String options)`
Returns an array of cropped images based on the provided list of rois.
`void`
ImagePlus.`cropAndSave(Roi[] rois, String directory, String format)`
Saves the contents of the ROIs in this overlay as separate images, where 'directory' is the directory path and 'format' is "tif", "png" or "jpg".
`void`
ImagePlus.`setOverlay(Roi roi, Color strokeColor, int strokeWidth, Color fillColor)`
Creates an Overlay from the specified ROI, and assigns it to this image.
`void`
ImagePlus.`setRoi(Roi newRoi)`
Assigns the specified ROI to this image and displays it.
`void`
ImagePlus.`setRoi(Roi newRoi, boolean updateDisplay)`
Assigns 'newRoi' to this image and displays it if 'updateDisplay' is true.

## Uses of Roi in ij.gui

Subclasses of Roi in ij.gui
Modifier and Type
Class
Description
`class`
`Arrow`
This is an Roi subclass for creating and displaying arrows.
`class`
`EllipseRoi`
This class implements the ellipse selection tool.
`class`
`FreehandRoi`
Freehand region of interest or freehand line of interest
`class`
`ImageRoi`
An ImageRoi is an Roi that overlays an image.
`class`
`Line`
This class represents a straight line selection.
`class`
`OvalRoi`
Oval region of interest
`class`
`PointRoi`
This class represents a collection of points that can be associated with counters.
`class`
`PolygonRoi`
This class represents a polygon region of interest or polyline of interest.
`class`
`RotatedRectRoi`
This class implements the rotated rectangle selection tool.
`class`
`ShapeRoi`
A subclass of `ij.gui.Roi` (2D Regions Of Interest) implemented in terms of java.awt.Shape.
`class`
`TextRoi`
This class is a rectangular ROI containing text.
Fields in ij.gui declared as Roi
Modifier and Type
Field
Description
`static Roi`
Roi.`previousRoi`
Get using getPreviousRoi() and set using setPreviousRoi()
Methods in ij.gui that return Roi
Modifier and Type
Method
Description
`static Roi`
Roi.`convertLineToArea(Roi line)`
Converts a line selection into an area (polygon or composite) selection.
Author: Michael Schmid
`Roi`
Roi.`convertToPolygon()`
Deprecated.
`static Roi`
Roi.`create(double x, double y, double width, double height)`
Creates a rectangular ROI.
`static Roi`
Roi.`create(double x, double y, double width, double height, int cornerDiameter)`
Creates a rounded rectangular ROI.
`Roi`
Overlay.`get(int index)`
Returns the ROI with the specified index or null if the index is invalid.
`Roi`
Overlay.`get(String name)`
Returns the ROI with the specified name or null if not found.
`Roi`
Roi.`getInverse(ImagePlus imp)`
Returns the inverted roi, or null if this is not an area roi or cannot be converted to a ShapeRoi.
`static Roi`
Roi.`getPreviousRoi()`
Returns the Roi saved by setPreviousRoi().
`Roi[]`
ShapeRoi.`getRois()`
Converts a Shape into Roi object(s).
`Roi`
ShapeRoi.`shapeToRoi()`
Attempts to convert this ShapeRoi into a single non-composite Roi.
`Roi[]`
Overlay.`toArray()`
Returns on array containing the ROIs in this Overlay.
`Roi[]`
Overlay.`toArray(int[] indexes)`
Returns on array containing the ROIs with the specified indexes.
`Roi`
ShapeRoi.`trySimplify()`
Attempts to convert this ShapeRoi into a single non-composite Roi.
`Roi`
Overlay.`xor(int[] indexes)`
Returns the bounds of this overlay.
`static Roi`
Roi.`xor(Roi[] rois)`
Methods in ij.gui that return types with arguments of type Roi
Modifier and Type
Method
Description
`Iterator<Roi>`
Overlay.`iterator()`
Methods in ij.gui with parameters of type Roi
Modifier and Type
Method
Description
`void`
Overlay.`add(Roi roi)`
Adds an ROI to this Overlay.
`void`
Overlay.`add(Roi roi, String name)`
Adds an ROI to this Overlay using the specified name.
`void`
Overlay.`addElement(Roi roi)`
Adds an ROI to this Overlay.
`PointRoi`
PointRoi.`containedPoints(Roi roi)`
Returns the points of this Roi that are contained in the specified area ROI.
`boolean`
Overlay.`contains(Roi roi)`
Returns 'true' if this Overlay contains the specified ROI.
`static Roi`
Roi.`convertLineToArea(Roi line)`
Converts a line selection into an area (polygon or composite) selection.
Author: Michael Schmid
`void`
Arrow.`copyAttributes(Roi roi2)`
`void`
PointRoi.`copyAttributes(Roi roi2)`
`void`
Roi.`copyAttributes(Roi roi2)`
Copy the attributes (outline color, fill color, outline width) of 'roi2' to the this selection.
`static Overlay`
Overlay.`createStackOverlay(Roi[] rois)`
`PointRoi`
PointRoi.`crop(Roi roi)`
`void`
Overlay.`remove(Roi roi)`
Removes the specified ROI from this Overlay.
`boolean`
ImageCanvas.`roiManagerSelect(Roi roi, boolean delete)`
`void`
Overlay.`set(Roi roi, int index)`
Replaces the ROI at the specified index.
`void`
ImageCanvas.`setDisplayList(Roi roi, Color color)`
Deprecated.
replaced by ImagePlus.setOverlay(Roi, Color, int, Color)
`static void`
Roi.`setPreviousRoi(Roi roi)`
Saves 'roi' so it can be restored later using Edit/Selection/Restore Selection.
`void`
TextRoi.`setPreviousTextRoi(Roi previousRoi)`
`PointRoi`
PointRoi.`subtractPoints(Roi roi)`
Returns the points of this Roi that are not contained in the specified area ROI.
`static Roi`
Roi.`xor(Roi[] rois)`
Constructors in ij.gui with parameters of type Roi
Modifier
Constructor
Description
``
`Overlay(Roi roi)`
Constructs an Overlay and adds the specified ROI.
``
`RoiProperties(String title, Roi roi)`
Constructs a ColorChooser using the specified title and initial color.
``
`ShapeRoi(Roi r)`
Constructs a ShapeRoi from an Roi.

## Uses of Roi in ij.io

Methods in ij.io that return Roi
Modifier and Type
Method
Description
`Roi`
RoiDecoder.`getRoi()`
Returns the ROI.
`Roi`
RoiDecoder.`getShapeRoi()`
`static Roi`
RoiDecoder.`open(String path)`
Opens the Roi at the specified path.
`static Roi`
RoiDecoder.`openFromByteArray(byte[] bytes)`
Opens an ROI from a byte array.
`Roi`
Opener.`openRoi(String path)`
Attempts to open the specified ROI, returning null if unsuccessful.
Methods in ij.io with parameters of type Roi
Modifier and Type
Method
Description
`static boolean`
RoiEncoder.`save(Roi roi, String path)`
Saves the specified ROI as a file, returning 'true' if successful.
`static byte[]`
RoiEncoder.`saveAsByteArray(Roi roi)`
Saves the specified ROI as a byte array.
`void`
RoiEncoder.`write(Roi roi)`
Save the Roi to the file of stream.

## Uses of Roi in ij.measure

Methods in ij.measure with parameters of type Roi
Modifier and Type
Method
Description
`static boolean`
ResultsTable.`selectRow(Roi roi)`
Selects the row in the "Results" table assocuiated with the specified Roi.
`void`
ResultsTable.`update(int measurements, ImagePlus imp, Roi roi)`

## Uses of Roi in ij.plugin

Methods in ij.plugin that return Roi
Modifier and Type
Method
Description
`static Roi`
RoiEnlarger.`enlarge(Roi roi, double pixels)`
`static Roi`
RoiEnlarger.`enlarge255(Roi roi, double pixels)`
`static Roi`
Selection.`lineToArea(Roi roi)`
Converts a line selection into an area selection.
`static Roi`
RoiRotator.`rotate(Roi roi, double angle)`
`static Roi`
RoiRotator.`rotate(Roi roi, double angle, double xcenter, double ycenter)`
`static Roi`
RoiScaler.`scale(Roi roi, double xscale, double yscale, boolean centered)`
Methods in ij.plugin with parameters of type Roi
Modifier and Type
Method
Description
`static Roi`
RoiEnlarger.`enlarge(Roi roi, double pixels)`
`static Roi`
RoiEnlarger.`enlarge255(Roi roi, double pixels)`
`static Roi`
Selection.`lineToArea(Roi roi)`
Converts a line selection into an area selection.
`static void`
OverlayCommands.`listRois(Roi[] rois)`
`static Roi`
RoiRotator.`rotate(Roi roi, double angle)`
`static Roi`
RoiRotator.`rotate(Roi roi, double angle, double xcenter, double ycenter)`
`static Roi`
RoiScaler.`scale(Roi roi, double xscale, double yscale, boolean centered)`
`ImageProcessor`
Straightener.`straighten(ImagePlus imp, Roi roi, int width)`
`ImageStack`
Straightener.`straightenStack(ImagePlus imp, Roi roi, int width)`

## Uses of Roi in ij.plugin.filter

Methods in ij.plugin.filter that return Roi
Modifier and Type
Method
Description
`Roi`
ThresholdToSelection.`convert(ImageProcessor ip)`
Returns a selection created from the thresholded pixels in the specified image, or null if there are no thresholded pixels.
`static Roi`
ThresholdToSelection.`run(ImagePlus imp)`
Returns a selection created from the thresholded pixels in the specified image, or null if there are no thresholded pixels.
Methods in ij.plugin.filter with parameters of type Roi
Modifier and Type
Method
Description
`protected void`
ParticleAnalyzer.`drawParticle(ImageProcessor drawIP, Roi roi, ImageStatistics stats, ImageProcessor mask)`
Draws a selected particle in a separate image.
`void`
Analyzer.`saveResults(ImageStatistics stats, Roi roi)`
Saves the measurements specified in the "Set Measurements" dialog, or by calling setMeasurements(), in the default results table.
`protected void`
ParticleAnalyzer.`saveResults(ImageStatistics stats, Roi roi)`
Saves statistics for one particle in a results table.

## Uses of Roi in ij.plugin.frame

Methods in ij.plugin.frame that return Roi
Modifier and Type
Method
Description
`Roi`
RoiManager.`getRoi(int index)`
Returns a reference to the ROI at the specified index.
`Roi[]`
RoiManager.`getRoisAsArray()`
Returns the ROIs as an array.
`Roi[]`
RoiManager.`getSelectedRoisAsArray()`
Returns the selected ROIs as an array, or all the ROIs if none are selected.
Methods in ij.plugin.frame that return types with arguments of type Roi
Modifier and Type
Method
Description
`Iterator<Roi>`
RoiManager.`iterator()`
Methods in ij.plugin.frame with parameters of type Roi
Modifier and Type
Method
Description
`void`
RoiManager.`add(Roi roi, int n)`
Adds the specified ROI to the list.
`void`
RoiManager.`add(ImagePlus imp, Roi roi, int n)`
Adds the specified ROI to the list.
`void`
RoiManager.`addRoi(Roi roi)`
Adds the specified ROI.
`void`
RoiManager.`deselect(Roi roi)`
Deselect the specified ROI if it is the only one selected.
`int`
RoiManager.`getRoiIndex(Roi roi)`
Returns the index of the specified Roi, or -1 if it is not found.
`static ResultsTable`
RoiManager.`multiMeasure(ImagePlus imp, Roi[] rois, boolean appendResults)`
`static void`
Recorder.`recordRoi(Roi roi)`
`void`
SyncWindows.`setCursor(ImagePlus imp, Roi cursor)`
`void`
RoiManager.`setRoi(Roi roi, int index)`
Replaces the ROI at the specified index.

## Uses of Roi in ij.process

Methods in ij.process with parameters of type Roi
Modifier and Type
Method
Description
`void`
ImageProcessor.`draw(Roi roi)`
Draws the specified ROI on this image using the line width and color defined by ip.setLineWidth() and ip.setColor().
`void`
ImageProcessor.`drawRoi(Roi roi)`
Draws the specified ROI on this image using the stroke width, stroke color and fill color defined by roi.setStrokeWidth, roi.setStrokeColor() and roi.setFillColor().
`void`
ImageProcessor.`fill(Roi roi)`
Fills the ROI with the current fill/draw value.
`void`
ImageProcessor.`fillOutside(Roi roi)`
Fills outside an Roi.
`void`
BinaryInterpolator.`run(ImagePlus image, Roi[] rois)`
`void`
ImageProcessor.`setRoi(Roi roi)`
Defines a non-rectangular region of interest that will consist of a rectangular ROI and a mask.